0
Cart Empty
0.00 (0 votes)

The issue:

At the top of the WordPress dashboard, you see the error that says: Theme update: Can't check XML file

Why the issue appears?

A theme includes built-in functionality that checks if there is an update available. This function uses fopen or cURL which are:

fopen - a PHP directive used to open external files, ex. XML files.

cURL - is a library that allows you to connect and communicate via a variety of different protocols such as HTTP, HTTPS, FTP, Telnet, etc. It can be used to open external files. 

If none of these 2 things are enabled on your server you can see this error in your Wordpress dashboard.

How to fix that?

Usually, it's about enabling fopen and cURL on your server.

However, there is no general rule for all hosting providers on how to switch on fopen and cURL. It depends on your hosting provider - search for an article in the hosting FAQ section or contact with hosting support.

Enabling fopen and cURL in php.ini 

If you are a more advanced user you may try to enable fopen and cURL in php.ini file by entering the following code:

allow_url_fopen = On

The general thing to enable cURL is adding code to a php.ini file.

extension=php_curl.dll

Disabling checking for updates

If your hosting doesn't allow you to enable any of these things you can at least disable checking for updates to get rid of the error at the dashboard. Go to Theme Options -> Advanced and find such an option.

Disabling checking for updates wordpress theme

Users' reviews

Total rating: (0 votes) Log-in to add review

INDICO S.C.

ul. Wałowa 10/3, 84-200 Wejherowo, registered in Centralna Ewidencja i Informacja o Działalnosci Gospodarczej
NIP/VATID: PL5882424318

Copyright © 2015-2019 PixelEmu.com All rights reserved.